Subject: Re: Definition of VPATH
From: [email-masked] (Earnie Boyd)

12 Dec 1997 17:08:54 -0800
Message-ID: <[email-masked]>
Content-Type: text/plain
To: [email-masked]
Cc: [email-masked]

Hi Henri,

Don't know if this will work but here is a suggestion:

VPATH:=/home/periat/src:D\:\\foo\\src

-        \\||//
---o0O0--Earnie--0O0o----
[email-masked]
------ooo0O--O0ooo-------

>Date: Fri, 12 Dec 1997 10:52:28 +0100
>From: [email-masked] (Periat Henri)
>Subject: Definition of VPATH
>To: [email-masked]
>
>
>Hi everybody
>
>I posted this message a few days ago, but i didn't go much reply on it.
>
>I'm very new to cygnu and have to make a UNIX gmake file to run also
>on MS-NT boxes.
>Now the problem which stops me in the moment is the ':' problem:
>
>- with 'VPATH:=/home/periat/src:D:/foo/src' make can't find the
>  source files if they are on drive 'D:' only.
>  
>- with 'VPATH:=/home/periat/src;D:/foo/src' or
>       'VPATH:=/home/periat/src://D/foo/src'
>  '$<' contains '//D/foo/src/foo.c' and non cygnus programs can't deal
>   with such file names.
>   
>- with 'VPATH:=/home/periat/src:/foo/src' and  'D:/foo' binary mounted
>  as '/foo'
>  'make' finds files, but again non cygnus programs don't know anything
>  about 'mount' and so they can't find '/fool/file'
>  
>   
>Can anyone tell me how i can solve this problem?
>
>
>
>Thanks
>Henri
>
>
>
>I have b18 and the 'coolview' patches.
>
>  
>  
>-
>For help on using this list (especially unsubscribing), send a message 
to
>"[email-masked]" with one line of text: "help".
>------------- End Forwarded Message -------------
>
>-
>For help on using this list (especially unsubscribing), send a message 
to
>"[email-masked]" with one line of text: "help".
>

______________________________________________________
Get Your Private, Free Email at http://www.hotmail.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".